FROM alpine AS mirror

RUN mkdir -p /out/etc/apk && cp -r /etc/apk/* /out/etc/apk/
RUN apk add --no-cache --initdb -p /out \
    unbound
RUN rm -rf /out/etc/apk /out/lib/apk /out/var/cache
RUN wget -O /out/etc/unbound/root.hints ftp://ftp.internic.net/domain/named.cache

FROM scratch
COPY --from=mirror /out/ /
COPY etc/unbound/ /etc/unbound

CMD ["/usr/sbin/unbound", "-d"]
